//**************************************************************************************************
//                                          PrcCalc.hpp                                            *
//                                         -------------                                           *
// Description : Provides an interface to a calculator application.                                *
// Started     : 2020-09-30                                                                        *
// Last Update : 2020-09-30                                                                        *
// Copyright   : (C) 2020-2020 MSWaters                                                            *
//**************************************************************************************************

//**************************************************************************************************
//                                                                                                 *
//      This program is free software; you can redistribute it and/or modify it under the          *
//      terms of the GNU General Public License as published by the Free Software Foundation;      *
//      either version 3 of the License, or (at your option) any later version.                    *
//                                                                                                 *
//**************************************************************************************************

#ifndef PRCCALC_HPP
#define PRCCALC_HPP

// Application Includes

#include "TypeDefs.hpp"
#include "SysScan.hpp"
#include "base/PrcBase.hpp"

//**************************************************************************************************

class PrcCalc : public PrcBase
{
  public :

    static  wxArrayString  m_osaCalcBinLst;  // A list of possible calculator binary names

          PrcCalc( void );
         ~PrcCalc( );

    // Function for automatically finding calculator binaries
    static   void  InitCalcBinLst( void );

    virtual  bool  bExec( void );
};

//**************************************************************************************************

#endif // CALC_HPP
